Index: framework/MIME/MIME/Contents.php
===================================================================
RCS file: /repository/framework/MIME/MIME/Contents.php,v
retrieving revision 1.207
diff -u -r1.207 Contents.php
--- framework/MIME/MIME/Contents.php	2 Apr 2008 23:24:45 -0000	1.207
+++ framework/MIME/MIME/Contents.php	9 Sep 2008 15:24:47 -0000
@@ -984,7 +984,7 @@
             is_a($viewer, 'MIME_Viewer_default')) {
             $summary[] = htmlspecialchars($description);
         } else {
-            $summary[] = $this->linkViewJS($mime_part, $this->_viewID['view'], $description, sprintf(_("View %s [%s]"), $description, $mime_type), null, $param_array);
+            $summary[] = $this->linkViewJS($mime_part, $this->_viewID['view'], htmlspecialchars($description), sprintf(_("View %s [%s]"), $description, $mime_type), null, $param_array);
         }
 
         /* Size. */
@@ -1052,9 +1052,12 @@
     /**
      * Generate a link to the view.php page.
      *
+     * Important: the calling code has to make sure that the $text parameter
+     * is properly escaped!
+     *
      * @param MIME_Part &$mime_part  The MIME_Part object to view.
      * @param integer $actionID      The actionID value.
-     * @param string $text           The link text.
+     * @param string $text           The ESCAPED (!) link text.
      * @param array $params          A list of additional parameters.
      *   'class'       -  The CSS class to use.
      *   'jstext'      -  The JS text to use.
@@ -1089,9 +1092,12 @@
     /**
      * Generate a javascript link to the view.php page.
      *
+     * Important: the calling code has to make sure that the $text parameter
+     * is properly escaped!
+     *
      * @param MIME_Part &$mime_part  The MIME_Part object to view.
      * @param integer $actionID      The ActionID to perform.
-     * @param string $text           The link text.
+     * @param string $text           The ESCAPED (!) link text.
      * @param string $jstext         The Javascript link text.
      * @param string $css            The CSS class to use.
      * @param array $params          A list of any additional parameters that